Tool
Tool object
- namestringBetaIDImmutable
Full resource name: supervisor-agents/{supervisor_agent_id}/tools/{tool_id}
- idstringDeprecatedBetaOutput only
Deprecated: Use tool_id instead.
- tool_typestringBeta
Tool type. Must be one of: "genie_space", "knowledge_assistant", "uc_function", "uc_connection", "uc_mcp", "app", "volume", "dashboard", "serving_endpoint", "table", "vector_search_index", "catalog", "schema", "supervisor_agent", "databricks_web_search", "skill". The legacy values "lakeview_dashboard", "uc_table", and "web_search" are also accepted and remain equivalent to "dashboard", "table", and "databricks_web_search" respectively. The "databricks_web_search" tool_type maps to the
web_searchspec field.
- genie_spaceobjectBeta
Show child attributesHide child attributes
- idstringDeprecatedBeta
Deprecated: use space_id instead. Still REQUIRED for backward compatibility until a future API version removes it.
- knowledge_assistantobjectBeta
Show child attributesHide child attributes
- serving_endpoint_namestringDeprecatedBeta
Deprecated: use knowledge_assistant_id instead.
- knowledge_assistant_idstringBeta
The ID of the knowledge assistant.
- uc_functionobjectBeta
Show child attributesHide child attributes
- namestringBeta
Full uc function name
- appobjectBeta
Show child attributesHide child attributes
- namestringBeta
App name
- volumeobjectBeta
Show child attributesHide child attributes
- namestringBeta
Full uc volume name
- uc_connectionobjectBeta
Show child attributesHide child attributes
- namestringBeta
- descriptionstringBeta
Description of what this tool does (user-facing).
- tool_idstringBetaOutput only
User specified id of the Tool.
Get a Tool Beta
GET
Gets a Tool.
API scopes: supervisor-agents
Parameters
- namestringRequiredpath
The resource name of the Tool. Format: supervisor-agents/{supervisor_agent_id}/tools/{tool_id}
Response
Returns the Tool object.
List Tools Beta
GET
Lists Tools under a Supervisor Agent.
API scopes: supervisor-agents
Parameters
- parentstringRequiredpath
Parent resource to list from. Format: supervisor-agents/{supervisor_agent_id}
- page_sizeint32[ 1 .. 100 ]query
- page_tokenstringquery
Response
Returns a list of Tool objects.
Create a Tool Beta
POST
Creates a Tool under a Supervisor Agent. Specify one of "genie_space", "knowledge_assistant", "uc_function", "uc_connection", "app", "volume", "dashboard", "table", "vector_search_index", "catalog", "schema", "supervisor_agent", "databricks_web_search", "skill" in the request body. The legacy values "lakeview_dashboard", "uc_table", and "web_search" are also accepted and remain equivalent to "dashboard", "table", and "databricks_web_search" respectively. The "databricks_web_search" tool_type maps to the web_search spec field.
API scopes: supervisor-agents
Parameters
- parentstringRequiredpath
Parent resource where this tool will be created. Format: supervisor-agents/{supervisor_agent_id}
- tool_idstring^[\\w.-]+$[ 4 .. 63 ] charactersRequiredquery
The ID to use for the tool, which will become the final component of the tool's resource name.
Request body
- namestringIDImmutable
Full resource name: supervisor-agents/{supervisor_agent_id}/tools/{tool_id}
- tool_typestringRequired
Tool type. Must be one of: "genie_space", "knowledge_assistant", "uc_function", "uc_connection", "uc_mcp", "app", "volume", "dashboard", "serving_endpoint", "table", "vector_search_index", "catalog", "schema", "supervisor_agent", "databricks_web_search", "skill". The legacy values "lakeview_dashboard", "uc_table", and "web_search" are also accepted and remain equivalent to "dashboard", "table", and "databricks_web_search" respectively. The "databricks_web_search" tool_type maps to the
web_searchspec field.
- genie_spaceobject
Show child attributesHide child attributes
- idstringRequiredDeprecated
Deprecated: use space_id instead. Still REQUIRED for backward compatibility until a future API version removes it.
- knowledge_assistantobject
Show child attributesHide child attributes
- serving_endpoint_namestringDeprecated
Deprecated: use knowledge_assistant_id instead.
- knowledge_assistant_idstringRequired
The ID of the knowledge assistant.
- uc_functionobject
Show child attributesHide child attributes
- namestringRequired
Full uc function name
- appobject
Show child attributesHide child attributes
- namestringRequired
App name
- volumeobject
Show child attributesHide child attributes
- namestringRequired
Full uc volume name
- uc_connectionobject
Show child attributesHide child attributes
- namestringRequired
- descriptionstring
Description of what this tool does (user-facing).
Response
Returns the Tool object.
Update a Tool Beta
PATCH
Updates a Tool. Only the description field can be updated.
To change immutable fields such as tool type, spec, or tool ID, delete the tool and recreate it.
API scopes: supervisor-agents
Parameters
- namestringRequiredIDImmutablepath
Full resource name: supervisor-agents/{supervisor_agent_id}/tools/{tool_id}
- update_maskstringRequiredquery
Field mask for fields to be updated.
Request body
The Tool to update.
- tool_typestringRequired
Tool type. Must be one of: "genie_space", "knowledge_assistant", "uc_function", "uc_connection", "uc_mcp", "app", "volume", "dashboard", "serving_endpoint", "table", "vector_search_index", "catalog", "schema", "supervisor_agent", "databricks_web_search", "skill". The legacy values "lakeview_dashboard", "uc_table", and "web_search" are also accepted and remain equivalent to "dashboard", "table", and "databricks_web_search" respectively. The "databricks_web_search" tool_type maps to the
web_searchspec field.
- genie_spaceobject
Show child attributesHide child attributes
- idstringRequiredDeprecated
Deprecated: use space_id instead. Still REQUIRED for backward compatibility until a future API version removes it.
- knowledge_assistantobject
Show child attributesHide child attributes
- serving_endpoint_namestringDeprecated
Deprecated: use knowledge_assistant_id instead.
- knowledge_assistant_idstringRequired
The ID of the knowledge assistant.
- uc_functionobject
Show child attributesHide child attributes
- namestringRequired
Full uc function name
- appobject
Show child attributesHide child attributes
- namestringRequired
App name
- volumeobject
Show child attributesHide child attributes
- namestringRequired
Full uc volume name
- uc_connectionobject
Show child attributesHide child attributes
- namestringRequired
- descriptionstring
Description of what this tool does (user-facing).
Response
Returns the Tool object.
Delete a Tool Beta
DELETE
Deletes a Tool.
API scopes: supervisor-agents
Parameters
- namestringRequiredpath
The resource name of the Tool. Format: supervisor-agents/{supervisor_agent_id}/tools/{tool_id}